Bug 221873 - Review Request: cgdb - A curses-based interface to the GNU Debugger (GDB)
Review Request: cgdb - A curses-based interface to the GNU Debugger (GDB)
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-01-08 12:24 EST by Gilboa Davara
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-16 12:54:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gilboa Davara 2007-01-08 12:24:01 EST
Spec URL: http://gilboadavara.thecodergeek.com/cgdb.spec
SRPM URL: http://gilboadavara.thecodergeek.com/cgdb-0.6.3-1.src.rpm

CGDB is a curses-based interface to the GNU Debugger (GDB).
The goal of CGDB is to be lightweight and responsive; not encumbered with
unnecessary features.
The interface is designed to deliver the familiar GDB text interface,
with a split screen showing the source as it executes.
The UI is modeled on the classic Unix text editor, vi.
Those familiar with vi should feel right at home using CGDB.

Many thanks to Mr. Peter Gordon for hosting the files.

- Gilboa
Comment 1 Gilboa Davara 2007-01-08 13:44:06 EST
Oh... forgot to add.
First submission to -extras. Be gentle ;)

rpmlint output:
$ rpmlint -i cgdb-0.6.3-1.fc6.x86_64.rpm
W: cgdb non-coherent-filename cgdb-0.6.3-1.fc6.x86_64.rpm
The file which contains the package should be named

0.6.3 is the version.
-1 is the release.
fc6 is the... well, fc6.
x86_64 is the arch.

What am I missing?
Comment 2 Gilboa Davara 2007-01-08 13:53:50 EST
Oops rpmlint ran on the binary package. My bad.

$ rpmlint -i cgdb-0.6.3-1.src.rpm
W: cgdb mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

Cleared the spaces.
Spec URL: http://gilboadavara.thecodergeek.com/cgdb.spec
SRPM URL: http://gilboadavara.thecodergeek.com/cgdb-0.6.3-2.src.rpm

After fix:
$ rpmlint -i cgdb-0.6.3-2.src.rpm

- Gilboa
Comment 3 Karol Trzcionka 2007-01-08 14:24:50 EST
You should add the FE-NEEDSPONSOR block (177841) in all Your request (before You
are sponsored), but in this request I added it.
I can make a official review, but I can advise you:
"strip $RPM_BUILD_ROOT/%{_bindir}/cgdb" probably is not needed, because (if I
have good information) the rpmbuild does standard stripping.
In %doc You must include:
Now, You are including only REAME.
I did not checked all "MUST/SHOULD", but it was not an official review.
And the last:
E: cgdb-debuginfo empty-debuginfo-package
Empty debuginfo is useless
Comment 4 Gilboa Davara 2007-01-08 15:36:14 EST
Spec URL: http://gilboadavara.thecodergeek.com/cgdb.spec
SRPM URL: http://gilboadavara.thecodergeek.com/cgdb-0.6.3-3.src.rpm

- Fix %doc.
- Do not strip debug info; let rpm do it.
Comment 5 Mamoru TASAKA 2007-01-09 12:26:24 EST
Just by glancing at your spec file:

* BuildRequires:
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	texinfo
  Why are these needed? Mockbuild succeeds without these.

* Requires:
Requires:        ncurses
  is not needed because dependencies for libraries pulls
  this dependency automatically, long as cgdb is correctly
  linked against ncurses library.

* Directories/files ownership issue
  %{_datadir}/cgdb/ is not owned by any package

* Scriptlets
  Please add the needed Requires accroding to "Texinfo" section of
Comment 6 Mamoru TASAKA 2007-01-09 12:33:49 EST
One another comment (just from spec file)
* From rpmlint:
W: cgdb macro-in-%changelog doc
  Please don't use %doc in %changelog. Use %%doc.
Comment 7 Gilboa Davara 2007-01-09 13:07:04 EST
1. BuildRequires:
In general, all 3 are installed by default - so they can be removed.
Hopefully it won't break non-mock builds.
Consider it done.

2. Requires: ncurses:
Ouch. Forgot that ncurses-devel requires ncurses.

3. Directories/files ownership issue.
4. Invalid %doc in changelog.

Spec URL: http://gilboadavara.thecodergeek.com/cgdb.spec
SRPM URL: http://gilboadavara.thecodergeek.com/cgdb-0.6.3-4.src.rpm

- Gilboa
Comment 8 Mamoru TASAKA 2007-01-10 14:40:20 EST
I have not checked yet 0.6.3-4, however at least almost good.

NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to formally review other 
submitters' review request and approve the packages. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is descriped
on :

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" (at the time you are not sponsored, you cannot do
   a formal review) of other person's review request.

When you submitted a new review request or have pre-reviewed other person's
review request, please write the bug number on this bug report so that I
can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to review
can be checked on:

Review guidelines are described mainly on:
Comment 9 Mamoru TASAKA 2007-01-11 11:54:10 EST

* Documentation
  - Consider to add doc/htdocs

* File entry
  - From mockbuild log:
warning: File listed twice: /usr/share/cgdb/cgdb.txt

* Timestamp
  - This package includes a documentation
    ( /usr/share/cgdb/cgdb.txt ) and keeping timestamp
    on this file is preferable.
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

* Some notes:
  - Please remove unnecessary comments like:
#make %{?_smp_mflags}
#Let RPM strip the debug info.
#strip $RPM_BUILD_ROOT/%{_bindir}/cgdb

* A question:
  - Why is the command prompt of cgdb is "tgdb"?

Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".


  And check my comment 8.
Comment 10 Gilboa Davara 2007-01-11 14:23:31 EST
I've got a couple of other packages that are waiting in the pipe-line - I'll add
them ASAP. (and post the BZ# here.)
More-ever, I'll start following the review requests and see if I can help.

I'll fix the errors and upload nice spec file.

Comment 11 Gilboa Davara 2007-01-12 10:07:11 EST
tgdb is cgdb's trivial GDB interface library which is being used to communicate
with the gdb back-end.
I have no idea why the up-stream maintainer doesn't change the prompt to cgdb.

Single question:
I'm pushing the htdocs under /usr/share/cgdb. Should I push it under
/usr/share/docs/cgdb instead?
As far as I could see, some html files go into /usr/share/<app> while others
go into /usr/doc/<app>

Spec URL: http://gilboadavara.thecodergeek.com/cgdb.spec
SRPM URL: http://gilboadavara.thecodergeek.com/cgdb-0.6.3-5.src.rpm

* Tue Jan 08 2007 <gilboad AT gmail DOT com> - 0.6.3-5
- Keep timestamps on install
- Remove unnecessary comments.
- Add missing HTML docs.

- Gilboa
Comment 12 Mamoru TASAKA 2007-01-12 10:15:46 EST
(In reply to comment #11)
> I'm pushing the htdocs under /usr/share/cgdb. Should I push it under
> /usr/share/docs/cgdb instead?

Ah, no. Just add %doc doc/htdocs .
Comment 14 Gilboa Davara 2007-01-13 01:04:43 EST
Sigh. Don't know how did I miss it... 

* Sat Jan 13 2007 <gilboad AT gmail DOT com> - 0.6.3-7
- Fix wrong license. (Was LGPL, should be GPL.)

Spec URL: http://gilboadavara.thecodergeek.com/cgdb.spec
SRPM URL: http://gilboadavara.thecodergeek.com/cgdb-0.6.3-7.src.rpm

Comment 15 Mamoru TASAKA 2007-01-13 02:43:24 EST
* "INSTALL" document is not needed. This is needed for people
  who want to rebuild this by themselves and not needed for
  pre-built binary rpm.
* htdocs/cgdb.png is broken.
  So please remove this file for now and report to upstream

Other things are all okay.
      This package (cgdb) is APPROVED by me.
Please step forward according to
http://fedoraproject.org/wiki/Extras/Contributors .

When you follow some procedure, I should receive a mail
that you need a sponsor. Then I will sponsor you.
Comment 16 Gilboa Davara 2007-01-15 07:49:34 EST
* Mon Jan 15 2007 <gilboad AT gmail DOT com> - 0.6.3-8
- Remove INSTALL
- Move cgdb.txt to %%docs. (Where index.html can see it.)
- Move htdocs to %%docs.
- Fix broken cgdb.png file.

Spec URL: http://gilboadavara.thecodergeek.com/cgdb.spec
SRPM URL: http://gilboadavara.thecodergeek.com/cgdb-0.6.3-8.src.rpm

I'll follow the instructions in "Contributors" ASAP.
FYI, another package up for review:
Comment 17 Mamoru TASAKA 2007-01-15 11:29:20 EST
Well, for -8,

* Please keep the name of "htdocs", i.e. the entry of %doc
  should be "htdocs", not "htmldocs".
* Use "cp -p" to keep timestamps.
* For Source1:
  If this file is available from some URL, please specify the URL
  like Source0. If this file is something you created by ImageMagick,
  for example, please note how you created the file briefly as
  comments in spec file.
* For cgdb.txt:
  Well, I confirmed that this file is needed by 
  ./doc/htdocs/documentation.shtml, so actually
cp -p doc/cgdb.txt htdocs (please copy to this directory)
  is needed. And as you can see in ./cgdb/src/interface.c:
  1525  void
  1526  if_display_help (void)
  1527  {
  1528    char cgdb_help_file[MAXLINE];
  1529    int ret_val = 0;
  1531    fs_util_get_path (PKGDATADIR, "cgdb.txt", cgdb_help_file);
  1532    ret_val = source_set_exec_line (src_win, cgdb_help_file, 1);
  1533    if (ret_val == 0)
  1534      if_draw ();
  1535    else if (ret_val == 5)        /* File does not exist */
  1536      if_display_message ("No such file: %s", 0, cgdb_help_file);
  1537  }
  This file is also needed by cgdb binary, so please don't
  remove this from %{_datadir}/cgdb.

  After you fix these, you can import this to Fedora Extras.
Comment 18 Gilboa Davara 2007-01-15 11:56:58 EST

* Mon Jan 15 2007 <gilboad AT gmail DOT com> - 0.6.3-9
- Do -not- delete cgdb.txt - needed by binary.
- Use the original htdocs instead of htmldocs.
- Preserve timestamps.
- Fix missing URL in imported cgdb.png.

Spec URL: http://gilboadavara.thecodergeek.com/cgdb.spec
SRPM URL: http://gilboadavara.thecodergeek.com/cgdb-0.6.3-9.src.rpm

I'll upload the files later today.

Thanks for the help,
- Gilboa
Comment 19 Mamoru TASAKA 2007-01-15 12:27:04 EST
Okay, -9 is good.

Comment 20 Mamoru TASAKA 2007-01-17 09:02:52 EST
(Just changing to NEXTRELEASE)
Comment 21 Gilboa Davara 2007-01-17 09:29:16 EST

(Though, technically, my FC6 branch request has yet to be processed, so for now,
this is strictly -devel release...)

- Gilboa
Comment 22 Mamoru TASAKA 2007-01-17 10:23:52 EST

As David Nielsen pointed out, please check:
There are ..actually... many requests which are in need of reviewers.

Well, everyone including me was a newbie at first. Please
try reviewing (though some package needs some knowledge other
than only packaging issue....). If you have some questions, I _must_
help you as sponsor.
Comment 23 Gilboa Davara 2007-01-17 11:08:43 EST
I'll contact you if I have any questions.
I'll try not to bug you too much ;)

- Gilboa

Note You need to log in before you can comment on or make changes to this bug.